# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionCrawler.Handler

Packages that use CDORevisionCrawler.Handler
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.

## Uses of CDORevisionCrawler.Handler in org.eclipse.emf.cdo.common.revision

Classes in org.eclipse.emf.cdo.common.revision that implement CDORevisionCrawler.Handler
Modifier and Type
Class
Description
`static class`
`CDORevisionCrawler.MessageDigestHandler`
Handler implementation that calculates a message digest over crawled data.
`static class`
`CDORevisionCrawler.OutputStreamHandler`
Handler implementation that writes crawl data to an output stream.
Methods in org.eclipse.emf.cdo.common.revision that return CDORevisionCrawler.Handler
Modifier and Type
Method
Description
`CDORevisionCrawler.Handler`
CDORevisionCrawler.`handler()`
Returns the current handler used by this crawler.
Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionCrawler.Handler
Modifier and Type
Method
Description
`CDORevisionCrawler`
CDORevisionCrawler.`handler(CDORevisionCrawler.Handler handler)`
Sets the handler to be used by this crawler.

## Uses of CDORevisionCrawler.Handler in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util that return CDORevisionCrawler.Handler
Modifier and Type
Method
Description
`CDORevisionCrawler.Handler`
EObjectCrawler.`handler()`
Methods in org.eclipse.emf.cdo.common.util with parameters of type CDORevisionCrawler.Handler
Modifier and Type
Method
Description
`EObjectCrawler`
EObjectCrawler.`handler(CDORevisionCrawler.Handler handler)`